Skip to main content
  • Subscribe by RSS
  • Ex Libris Knowledge Center

    Upgrade Express and z403 in course library

    • Article Type: General
    • Product: Aleph
    • Product Version: 19.01

    I downloaded the latest v18 --> v19 Upgrade Express kit for our production upgrade this past weekend.

    After running everything, I started up the www_server and started seeing Oracle Z403 errors whenever I accessed a course record.

    I checked the upgrade kit logs and found it only upgraded z403 in the bib library. But it had upgraded in the course library in my test upgrade.

    I checked the ue release notes and found that step 1008 had been changed to no longer upgrade course library z403 because it doesn't exist in version 18.

    In my case z403 did exist in version 18.

    Rebuilding course library z403 with util a fixed the problem.

    For future customers, could this step be changed back, OR update the documentation to alert them to rebuild course z403 if it does exist?

    Step1008 is now fixed and will check CRS libraries for Z403:

    - if it doesn't exists --> create it
    - if it exists --> upgrade it

    The kit (18_to_19 ver 13) is packed on the FTP server.

    • Article last edited: 10/8/2013